
Redmine - Defect #36273

Modifying the source code of a plugin does not reload it after r21295

2021-12-02 15:21 - Hirokazu Onozato

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Rails support Estimated time: 0.00 hour

Target version: 5.0.5   

Resolution: Fixed Affected version: 5.0.0

Description

It seems that modifying the source code of a plugin in development mode does not reload it anymore.

For example, if you change the following file

plugins/redmine_issue_assign_notice/lib/redmine_issue_assign_notice/notice_client.rb

In Redmine trunk r21295 does not reload.

In 4.2.2, it was reloaded.

If i change the source code of Redmine itself, it will be reloaded in trunk r21295 as well.

app/models/issue.rb

Has Zeitwerk support removed the Redmine plugin folder from monitoring?

Related issues:

Related to Redmine - Feature #29914: Migrate to Rails 6.1 with Zeitwerk autol... Closed

Related to Redmine - Defect #36218: Plugin assets are not copied correctly in... Closed

Has duplicate Redmine - Defect #38021: Development mode, class-reloader is no... Closed

Associated revisions

Revision 21992 - 2022-12-21 02:36 - Go MAEDA

Modifying the source code of a plugin does not reload it after r21295 ( #36273).

Patch by Takashi Kato.

Revision 21997 - 2022-12-23 02:41 - Go MAEDA

Merged r21992 from trunk to 5.0-stable (#36273).

History

#1 - 2022-12-17 07:15 - Takashi Kato

- File 0001-Add-the-code-under-lib-redmine-and-plugins-to-the-fi.patch added

After some research, I've found out that the directory settings monitored by Zeitwerk and  monitored by the Reloader must be done respectively.

(In the code of Redmine itself,  these settings done automatically by Rails.)

The attached patch will fix the problem(can be applied to r21991).

#2 - 2022-12-18 09:36 - Go MAEDA

- Related to Feature #29914: Migrate to Rails 6.1 with Zeitwerk autoloading added

#3 - 2022-12-18 09:36 - Go MAEDA

- Related to Defect #36218: Plugin assets are not copied correctly in trunk r21289 added

#4 - 2022-12-18 09:36 - Go MAEDA

- Category set to Rails support

2025-05-01 1/2

https://www.redmine.org/projects/redmine/repository/svn/revisions/21295
https://www.redmine.org/projects/redmine/repository/svn/revisions/21295
https://www.redmine.org/projects/redmine/repository/svn/revisions/21991


- Status changed from New to Confirmed

- Target version set to Candidate for next minor release

#5 - 2022-12-19 09:44 - Go MAEDA

- Subject changed from Modifying the source code of the plugin does not reload it in trunk 21295 to Modifying the source code of a plugin does not

reload it after r21295

- Target version changed from Candidate for next minor release to 5.0.5

- Affected version set to 5.0.0

Setting the target version to 5.0.5.

#6 - 2022-12-21 02:37 - Go MAEDA

- Status changed from Confirmed to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix. Thank you.

#7 - 2022-12-21 08:49 - Go MAEDA

- Has duplicate Defect #38021: Development mode, class-reloader is not work. added

#8 - 2022-12-23 02:41 - Go MAEDA

- Status changed from Resolved to Closed

#9 - 2023-06-07 12:46 - Hirokazu Onozato

Thanks!

Files

0001-Add-the-code-under-lib-redmine-and-plugins-to-the-fi.patch 1.22 KB 2022-12-17 Takashi Kato
